## org.biojavax.bio.phylo.io.nexus
Class DataBlockBuilder

    java.lang.Object
      org.biojavax.bio.phylo.io.nexus.NexusBlockBuilder.Abstract
          org.biojavax.bio.phylo.io.nexus.CharactersBlockBuilder
              org.biojavax.bio.phylo.io.nexus.DataBlockBuilder

All Implemented Interfaces:
  CharactersBlockListener, DataBlockListener, NexusBlockBuilder, NexusBlockListener

    public class DataBlockBuilder

extends CharactersBlockBuilder
implements DataBlockListener

Builds Nexus characters blocks.

Since:
  1.6
Author:
  Richard Holland, Tobias Thierer, Jim Balhoff

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojavax.bio.phylo.io.nexus.NexusBlockBuilder
`NexusBlockBuilder.Abstract`

Constructor Summary
`DataBlockBuilder()`

Method Summary
`protected CharactersBlock` `makeNewBlock()`

Methods inherited from class org.biojavax.bio.phylo.io.nexus.CharactersBlockBuilder

`addCharLabel, addCharState, addCharStateKeyword, addComment, addEquate, addItem, addMatrixEntry, addState, addStateLabel, addSymbol, addTaxLabel, appendMatrixData, endBlock, endTokenGroup, resetStatus, setCharStateLabel, setDataType, setDimensionsNChar, setDimensionsNTax, setEliminateEnd, setEliminateStart, setGap, setInterleaved, setLabels, setMatchChar, setMissing, setRespectCase, setStatesFormat, setTokens, setTransposed, startBlockObject`

Methods inherited from class org.biojavax.bio.phylo.io.nexus.NexusBlockBuilder.Abstract
`beginComment, commentText, endComment, getBlockName, getNexusBlock, startBlock`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.biojavax.bio.phylo.io.nexus.CharactersBlockListener
`addCharLabel, addCharState, addCharStateKeyword, addEquate, addItem, addMatrixEntry, addState, addStateLabel, addSymbol, addTaxLabel, appendMatrixData, setCharStateLabel, setDataType, setDimensionsNChar, setDimensionsNTax, setEliminateEnd, setEliminateStart, setGap, setInterleaved, setLabels, setMatchChar, setMissing, setRespectCase, setStatesFormat, setTokens, setTransposed`

Methods inherited from interface org.biojavax.bio.phylo.io.nexus.NexusBlockListener
`beginComment, commentText, endBlock, endComment, endTokenGroup, startBlock`

Constructor Detail

### DataBlockBuilder

    public DataBlockBuilder()

Method Detail

### makeNewBlock

    protected CharactersBlock makeNewBlock()

  Overrides:
    `makeNewBlock` in class `CharactersBlockBuilder`